#include <iostream>

using namespace std;

int main()
{
    int t,n;
    cin>>t;
    int a[30000],b[30000];
    for(int i=0;i<t;i++){
        cin>>n;
        int sa,sb,sj,sk;
        for(int j1=0;j1<n;j1++){
            int j=j1;
            cin>>a[j];
            if(a[j]!=0){
                sa=a[j];
                sj=j;
            }
        }
        for(int k1=0;k1<n;k1++){
            int k=k1;
            cin>>b[k];
            if(b[k]!=0){
                sb=b[k];
                sk=k;
            }
        }
        if(sb==-sa && sk!=sj){
            cout<<"DA"<<endl;
        }
        else{
            cout<<"NE"<<endl;
        }
    }
    return 0;
}